CREATE TABLE cso_db_topic_metrics (
    DATE_ADDED                 TIMESTAMP(6)     NOT NULL,
    DATE_MODIFIED              TIMESTAMP(6)     NOT NULL,
    TOPIC_ID                   VARCHAR2(128)    NOT NULL,
    LAST_POST_DATE             TIMESTAMP(6) ,
    LAST_MODIFIED_DATE         TIMESTAMP(6) ,
    LAST_POST_MESSAGE_ID       VARCHAR2(128),
    LAST_POST_USER_ID          VARCHAR2(128),
    LAST_POST_USER_NAME        VARCHAR2(400),
    MESSAGE_COUNT              NUMBER       ,
    SOLVED_COUNT               NUMBER       ,
    HELPFUL_COUNT              NUMBER       ,
    RECORD_ID                  VARCHAR2(128),
    VIEW_COUNT                 NUMBER       ,
    LAST_POST_USER_PARTY_ID    NUMBER(18, 0),
    DATE_ADDED                 TIMESTAMP(6)     NOT NULL,
    DATE_MODIFIED              TIMESTAMP(6)     NOT NULL,
    TOPIC_ID                   VARCHAR2(128)    NOT NULL,
    LAST_POST_DATE             TIMESTAMP(6) ,
    LAST_MODIFIED_DATE         TIMESTAMP(6) ,
    LAST_POST_MESSAGE_ID       VARCHAR2(128),
    LAST_POST_USER_ID          VARCHAR2(128),
    LAST_POST_USER_NAME        VARCHAR2(400),
    MESSAGE_COUNT              NUMBER       ,
    SOLVED_COUNT               NUMBER       ,
    HELPFUL_COUNT              NUMBER       ,
    RECORD_ID                  VARCHAR2(128),
    VIEW_COUNT                 NUMBER       ,
    LAST_POST_USER_PARTY_ID    NUMBER(18, 0),
    CONSTRAINT pk_cso_db_topic_metrics PRIMARY KEY (RECORD_ID, RECORD_ID)
);
